%define name     rpmxdgtool
%define version  0.0.7
%define release  %mkrel 5
%define distro   %(rpm -qf --qf='%{VERSION}' /etc/pclinuxos-release)
%if !%{defined kde4_prefix}
%define kde4_prefix %(kde4-config --prefix)
%endif

Name		: %{name}
Version		: %{version}
Release		: %{release}
License		: GPL 2
Group		: Graphical desktop/KDE4
Summary		: RPM XDG Context Menus for Konqueror/dolphin
Summary (de)	: Ein RPM Kontext-Menü für KDE Konqueror/Dolphin.
Source0		: %{_sourcedir}/%{name}-%{version}.tar.xz
#Patch0		: rpmxdgtool-0.0.7-configure.patch
Url		: http://www.kde-apps.org/usermanager/search.php?username=undefined
BuildRoot	: %{_tmppath}/%{name}-%{version}-build
BuildArch	: noarch
Provides	: rpm-context-menu
BuildRequires	: kdelibs4
BuildRequires	: librpm4.4-devel
BuildRequires	: kdebase4-core
Requires	: rpm cpio coreutils gettext
Requires	: glibc >= 2.10.1
Requires	: libstdc++6 >= 4.4.1
# BuildRequires	:
# ExclusiveOs	: %{_os}

%description
a rpm context menu for kde konqueror/dolphin.
Features:
* Show RPM Main Info
* Show Package Content
* Unpack RPM
* Unpack RPM to Directory
* Open RPM Url from Package in Konqueror
* Make Test Install
* Force Upgrade Test Install
* Install Source package in Local RPM Build Enviroment
* Open KDE Administration Konsole for Installation

%description -l de
Ein RPM Kontext-Menü für KDE Konqueror/Dolphin.
Features:
* Zeigen von RPM Hauptinformationen
* Anzeigen des RPM Inhaltes
* Entpacken des RPM
* Entpacken des RPM in ein Verzeichnis
* Öffne RPM Url von Paket in Konqueror
* Installation testen
* Installation Überschreiben Testen
* Installiere Source Paket in einer lokalen RPM Build Umgebung
* Öffne KDE Administration-Konsole für die Installation

%prep
%setup -q
#%patch0 -p1
%build

%configure --with-kde4 \
  --sysconfdir=%{_sysconfdir}



%install
%makeinstall_std

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/kde4/services/ServiceMenus/%{name}.desktop
#%{_datadir}/apps/d3lphin/servicemenus/%{name}.desktop
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/*
%{_datadir}/locale/de/LC_MESSAGES/rpmxdgtool.mo
%{_datadir}/locale/it/LC_MESSAGES/rpmxdgtool.mo


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.0.7-4pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.0.7-3pclos2010
- rebuild

* Sat Nov 28 2009 Leiche <MeissSW01@aol.com> 0.0.7-2pclos2010
- update and rebuild for kde4

- patched by Joble, at Tue Dec 01 2009 (Thanks...), but only this package

* Wed Oct 29 2008 - maik3531 <maik3531@web.de> rpmxdgtool-0.0.4-1pclos2007
- initial build for pclos
